### Function

# GLib get_codeset

since: 2.0

#### Declaration

    gchar*
    g_get_codeset (
      void
    )

#### Description

Gets the character set for the current locale.

Available since: 2.0

#### Return value

Type: `gchar*`

A newly allocated string containing the name of the character set. This string must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.